Pular para o conteúdo principal
POST
/
v2
/
transfers
Create a Transfer
curl --request POST \
  --url https://api.pagou.ai/v2/transfers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pix_key_value": "<string>",
  "amount": 4503599627370996,
  "description": "<string>",
  "external_ref": "<string>",
  "notify_url": "<string>",
  "origin": "<string>"
}
'
import requests

url = "https://api.pagou.ai/v2/transfers"

payload = {
"pix_key_value": "<string>",
"amount": 4503599627370996,
"description": "<string>",
"external_ref": "<string>",
"notify_url": "<string>",
"origin": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pix_key_value: '<string>',
amount: 4503599627370996,
description: '<string>',
external_ref: '<string>',
notify_url: '<string>',
origin: '<string>'
})
};

fetch('https://api.pagou.ai/v2/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
pix_key_type
enum<string>
obrigatório

Type of the PIX key that identifies the recipient account.

Opções disponíveis:
CPF,
CNPJ,
EMAIL,
PHONE,
EVP
pix_key_value
string
obrigatório

Value of the PIX key corresponding to the selected pix_key_type.

Required string length: 1 - 77
amount
integer
obrigatório

Transfer amount in cents. Minimum of 1000 (10.00).

Intervalo obrigatório: 1000 <= x <= 9007199254740991
description
string

Optional description for the transfer, shown in reports and statements.

Maximum string length: 140
external_ref
string

Optional idempotency key or external reference from your system. If omitted, a value is generated automatically.

Maximum string length: 100
notify_url
string | null

Optional HTTPS URL that will receive webhook notifications for this transfer.

Maximum string length: 2048
origin
string | null

Optional origin identifier for the transfer (e.g. your platform name or channel).

Maximum string length: 50

Resposta

Success

Generic success response payload.